Récupérer une commande par UID
curl --request GET \
--url https://api.papslogistics.com/orders/fetch/{uid} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.papslogistics.com/orders/fetch/{uid}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.papslogistics.com/orders/fetch/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"message": "Success",
"error": "<string>",
"data": {
"uid": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"type": "<string>",
"service": "<string>",
"status": "<string>",
"address": {
"city": "<string>",
"address": "<string>"
},
"client": {
"companyName": "<string>",
"address": {
"city": "<string>",
"address": "<string>",
"region": "<string>",
"country": "<string>"
}
},
"parcels": [
{
"uid": "<string>",
"description": "<string>",
"size": "<string>",
"status": "<string>",
"refClient": "<string>"
}
],
"receiver": {
"firstname": "<string>",
"lastname": "<string>",
"phoneNumber": "<string>",
"address": {
"city": "<string>",
"address": "<string>"
}
},
"mission": {
"jobType": "<string>"
},
"deliveryTask": {
"taskDriver": {
"firstname": "<string>",
"lastname": "<string>",
"phoneNumber": "<string>"
},
"taskConveyor": {
"firstname": "<string>",
"lastname": "<string>",
"phoneNumber": "<string>"
}
},
"activities": [
{
"date": "2023-11-07T05:31:56Z",
"triggerAction": "<string>",
"triggerActionData": {}
}
]
}
}Orders
Récupérer une commande
GET
/
orders
/
fetch
/
{uid}
Récupérer une commande par UID
Authorizations
Clé API du client, disponible dans son espace personnel Paps.
Path Parameters
Identifiant unique de la commande
Response
200 - application/json
Commande trouvée
Code de statut de la réponse
Example:
200
Message associé à la réponse
Example:
"Success"
null en cas de succès. En cas d'erreur métier (codes 400 et 500), contient un message ou un nom d'exception sous forme de chaîne libre.
Détails de la commande
Show child attributes
Show child attributes
⌘I